OgreSearchOps.h File Reference
`#include <string.h>`
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <stdlib.h>`
`#include "OgrePlatform.h"`
`#include <dirent.h>`
`#include <unistd.h>`
`#include <fnmatch.h>`

Go to the source code of this file.

## Classes

struct | _finddata_t

## Defines

#define | _A_NORMAL 0x00 /* Normalfile-Noread/writerestrictions */
#define | _A_RDONLY 0x01 /* Read only file */
#define | _A_HIDDEN 0x02 /* Hidden file */
#define | _A_SYSTEM 0x04 /* System file */
#define | _A_ARCH 0x20 /* Archive file */
#define | _A_SUBDIR 0x10 /* Subdirectory */

## Functions

intptr_t | _findfirst (const char *pattern, struct _finddata_t *data)
int | _findnext (intptr_t id, struct _finddata_t *data)
int | _findclose (intptr_t id)

## Define Documentation

#define _A_ARCH 0x20 /* Archive file */

Definition at line 61 of file OgreSearchOps.h.

#define _A_HIDDEN 0x02 /* Hidden file */

Definition at line 59 of file OgreSearchOps.h.

#define _A_NORMAL 0x00 /* Normalfile-Noread/writerestrictions */

Definition at line 57 of file OgreSearchOps.h.

#define _A_RDONLY 0x01 /* Read only file */

Definition at line 58 of file OgreSearchOps.h.

#define _A_SUBDIR 0x10 /* Subdirectory */

Definition at line 63 of file OgreSearchOps.h.

#define _A_SYSTEM 0x04 /* System file */

Definition at line 60 of file OgreSearchOps.h.

## Function Documentation

int _findclose | ( | intptr_t | id | ) |

intptr_t _findfirst | ( | const char * | pattern,
|  | struct _finddata_t * | data
| ) |  |

int _findnext | ( | intptr_t | id,
|  | struct _finddata_t * | data
| ) |  |

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:25